Bug 22380 - Monitor GPS GConf key
Summary: Monitor GPS GConf key
Status: RESOLVED FIXED
Alias: None
Product: GeoClue
Classification: Unclassified
Component: General (show other bugs)
Version: unspecified
Hardware: Other All
: medium normal
Assignee: Geoclue Bugs
QA Contact: Geoclue Bugs
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-06-19 17:59 UTC by Bastien Nocera
Modified: 2009-08-17 09:03 UTC (History)
2 users (show)

See Also:
i915 platform:
i915 features:


Attachments
geoclue-reload-options.patch (4.51 KB, patch)
2009-06-20 14:10 UTC, Bastien Nocera
Details | Splinter Review
geoclue-reload-options-2.patch (6.94 KB, patch)
2009-06-21 04:20 UTC, Bastien Nocera
Details | Splinter Review
geoclue-reload-options-3.patch (7.55 KB, patch)
2009-06-25 02:01 UTC, Bastien Nocera
Details | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Bastien Nocera 2009-06-19 17:59:13 UTC
The GPS GConf keys (and possibly others?) should be monitored, so the master could re-configure, or restart backends that require a GPS device.

1. Add a Monitor=org.geoclue.option,org.geoclue.option2 to the provider
2. Add monitoring code to the code in main.c
3. Update config on the geoclue provider, or reload plugin.
Comment 1 Bastien Nocera 2009-06-20 14:10:20 UTC
Created attachment 26980 [details] [review]
geoclue-reload-options.patch
Comment 2 Bastien Nocera 2009-06-21 04:20:26 UTC
Created attachment 26993 [details] [review]
geoclue-reload-options-2.patch

This will make the GPSD and Gypsy backends stop using the devices if the options end up being empty. The gpsd backend already handled changes, the Gypsy backend was fixed.
Comment 3 Ross Burton 2009-06-24 07:08:17 UTC
Looks good to me.  Jussi?
Comment 4 Bastien Nocera 2009-06-25 02:01:59 UTC
Created attachment 27118 [details] [review]
geoclue-reload-options-3.patch

Note that this still isn't enough to make instant-apply work, as the master drops the subscription to geoclue-gypsy or -gpsd as it's not available to start with.

We'd need to keep the unavailable providers (as opposed to the "error" ones), and kick another round of selection when their status changes (which I think already happens).

The providers are also missing a status change when the device changes.
Comment 5 Keith Preston 2009-08-17 09:03:42 UTC
Patch looks good, committed to master branch, Thanks


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.